<?php
function retrieve_data ($file, $public_only) {
  $freader = fopen($file, "r") or die("Unable to open file!");
  $yamldata =  fread($freader,filesize($file));
  fclose($freader);

  $data = yaml_parse($yamldata);
  if($public_only){
    $filtereddata = array();
    foreach($data as $category => $items){
      $filteredcat = array();
      foreach($items as $item => $value){
        if($value['public']==true){
          $filteredcat[$item] = $value;
        }
      }
      if($filteredcat){
        $filtereddata[$category] = $filteredcat;
      }
    }
    return $filtereddata;
  } else {
    return $data;
  }
}
?>
